Qt 5.11 | Qt Multimedia | C++ Classes | QAudioRoleControl

Qt 5.11.3 Reference Documentation

# QAudioRoleControl Class

The QAudioRoleControl class provides control over the audio role of a media object. More...

Header: | #include <QAudioRoleControl>
qmake: | QT += multimedia
Since: | Qt 5.6
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

virtual | ~QAudioRoleControl()
virtual QAudio::Role | audioRole() const = 0
virtual void | setAudioRole(QAudio::Role role) = 0
virtual QList<QAudio::Role> | supportedAudioRoles() const = 0

## Signals

void | audioRoleChanged(QAudio::Role role)

## Protected Functions

| QAudioRoleControl(QObject *parent = nullptr)

## Macros

| QAudioRoleControl_iid

## Detailed Description

The QAudioRoleControl class provides control over the audio role of a media object.

If a QMediaService supports audio roles it will implement QAudioRoleControl.

The functionality provided by this control is exposed to application code through the QMediaPlayer class.

The interface name of QAudioRoleControl is `org.qt-project.qt.audiorolecontrol/5.6` as defined in QAudioRoleControl_iid.

See also QMediaService::requestControl() and QMediaPlayer.

## Member Function Documentation

### `[protected]` QAudioRoleControl::QAudioRoleControl(QObject *parent = nullptr)

Construct a QAudioRoleControl with the given parent.

### `[virtual]` QAudioRoleControl::~QAudioRoleControl()

Destroys the audio role control.

### `[pure virtual]` QAudio::Role QAudioRoleControl::audioRole() const

Returns the audio role of the media played by the media service.

See also setAudioRole().

### `[signal]` void QAudioRoleControl::audioRoleChanged(QAudio::Role role)

Signal emitted when the audio role has changed.

### `[pure virtual]` void QAudioRoleControl::setAudioRole(QAudio::Role role)

Sets the audio role of the media played by the media service.

See also audioRole().

### `[pure virtual]` QList<QAudio::Role> QAudioRoleControl::supportedAudioRoles() const

Returns a list of audio roles that the media service supports.

## Macro Documentation

### QAudioRoleControl_iid

`org.qt-project.qt.audiorolecontrol/5.6`

Defines the interface name of the QAudioRoleControl class.